<#--<#macro login path isRegisterForm>-->
<#--    <form class="text-center border border-light p-5" action="${path}" method="post">-->
<#--        <#if !isRegisterForm>-->
<#--&lt;#&ndash;            <div class="form-group row">&ndash;&gt;-->
<#--        &lt;#&ndash;                <label class="col-sm-2 col-form-label">Login:</label>&ndash;&gt;-->
<#--        &lt;#&ndash;                <div class="col-sm-6">&ndash;&gt;-->
<#--        &lt;#&ndash;                    <input type="text" name="username" value="<#if user??>${user.username}</#if>"&ndash;&gt;-->
<#--        &lt;#&ndash;                           class="form-control ${(usernameError??)?string('is-invalid', '')}"&ndash;&gt;-->
<#--        &lt;#&ndash;                           placeholder="User login" required/>&ndash;&gt;-->
<#--        &lt;#&ndash;                    <#if usernameError??>&ndash;&gt;-->
<#--        &lt;#&ndash;                        <div class="invalid-feedback">&ndash;&gt;-->
<#--        &lt;#&ndash;                            ${usernameError}&ndash;&gt;-->
<#--        &lt;#&ndash;                        </div>&ndash;&gt;-->
<#--        &lt;#&ndash;                    </#if>&ndash;&gt;-->
<#--        &lt;#&ndash;                </div>&ndash;&gt;-->
<#--        &lt;#&ndash;            </div>&ndash;&gt;-->
<#--        &lt;#&ndash;            <div class="form-group row">&ndash;&gt;-->
<#--        &lt;#&ndash;                <label class="col-sm-2 col-form-label">Password:</label>&ndash;&gt;-->
<#--        &lt;#&ndash;                <div class="col-sm-6">&ndash;&gt;-->
<#--        &lt;#&ndash;                    <input type="password" name="password" class="form-control" placeholder="Password" required/>&ndash;&gt;-->
<#--        &lt;#&ndash;                </div>&ndash;&gt;-->
<#--        &lt;#&ndash;            </div>&ndash;&gt;-->
<#--        </#if>-->
<#--        <#if isRegisterForm>-->
<#--            <div class="form-group row">-->
<#--                <label class="col-sm-2 col-form-label">Login:</label>-->
<#--                <div class="col-sm-6">-->
<#--                    <input type="text" name="userLogin" value="<#if userInfo??>${userInfo.userLogin}</#if>"-->
<#--                           class="form-control ${(userLoginError??)?string('is-invalid', '')}"-->
<#--                           placeholder="User login"/>-->
<#--                    <#if userLoginError??>-->
<#--                        <div class="invalid-feedback">-->
<#--                            ${userLoginError}-->
<#--                        </div>-->
<#--                    </#if>-->
<#--                </div>-->
<#--            </div>-->
<#--            <div class="form-group row">-->
<#--                <label class="col-sm-2 col-form-label">Password:</label>-->
<#--                <div class="col-sm-6">-->
<#--                    <input type="password" name="password"-->
<#--                           class="form-control ${(passwordError??)?string('is-invalid', '')}"-->
<#--                           placeholder="Password"/>-->
<#--                    <#if passwordError??>-->
<#--                        <div class="invalid-feedback">-->
<#--                            ${passwordError}-->
<#--                        </div>-->
<#--                    </#if>-->
<#--                </div>-->

<#--            </div>-->
<#--            <div class="form-group row">-->
<#--                <label class="col-sm-2 col-form-label">Password confirm:</label>-->
<#--                <div class="col-sm-6">-->
<#--                    <input type="password" name="passwordConfirm"-->
<#--                           class="form-control ${(passwordError??)?string('is-invalid', '')}"-->
<#--                           placeholder="Password confirm"/>-->
<#--                    <#if passwordError??>-->
<#--                        <div class="invalid-feedback">-->
<#--                            ${passwordError}-->
<#--                        </div>-->
<#--                    </#if>-->
<#--                </div>-->
<#--            </div>-->
<#--            <div class="form-group row">-->
<#--                <label class="col-sm-2 col-form-label">Email:</label>-->
<#--                <div class="col-sm-6">-->
<#--                    <input type="email" class="form-control ${(userAccountEmailError??)?string('is-invalid', '')}"-->
<#--                           value="<#if userInfo??>${userInfo.userAccountEmail}</#if>" name="userAccountEmail"-->
<#--                           placeholder="temp@gmail.com"/>-->

<#--                    <#if userAccountEmailError??>-->
<#--                        <div class="invalid-feedback">-->
<#--                            ${userAccountEmailError}-->
<#--                        </div>-->
<#--                    </#if>-->
<#--                </div>-->
<#--            </div>-->
<#--            <div class="form-group row">-->
<#--                <label class="col-sm-2 col-form-label">Surname:</label>-->
<#--                <div class="col-sm-6">-->
<#--                    <input type="text" class="form-control ${(lastNameError??)?string('is-invalid', '')}"-->
<#--                           value="<#if userInfo??>${userInfo.lastName}</#if>" name="lastName"-->
<#--                           placeholder="User surname"/>-->
<#--                    <#if lastNameError??>-->
<#--                        <div class="invalid-feedback">-->
<#--                            ${lastNameError}-->
<#--                        </div>-->
<#--                    </#if>-->
<#--                </div>-->

<#--            </div>-->
<#--            <div class="form-group row">-->
<#--                <label class="col-sm-2 col-form-label">Name:</label>-->
<#--                <div class="col-sm-6">-->
<#--                    <input type="text" class="form-control ${(firstNameError??)?string('is-invalid', '')}"-->
<#--                           value="<#if userInfo??>${userInfo.firstName}</#if>" name="firstName"-->
<#--                           placeholder="User name"/>-->
<#--                    <#if firstNameError??>-->
<#--                        <div class="invalid-feedback">-->
<#--                            ${firstNameError}-->
<#--                        </div>-->
<#--                    </#if>-->
<#--                </div>-->

<#--            </div>-->
<#--            <div class="form-group row">-->
<#--                <label class="col-sm-2 col-form-label">Middle name:</label>-->
<#--                <div class="col-sm-6">-->
<#--                    <input type="text" class="form-control ${(middleNameError??)?string('is-invalid', '')}"-->
<#--                           value="<#if userInfo??>${userInfo.middleName}</#if>" name="middleName"-->
<#--                           placeholder="User middle name"/>-->
<#--                    <#if middleNameError??>-->
<#--                        <div class="invalid-feedback">-->
<#--                            ${middleNameError}-->
<#--                        </div>-->
<#--                    </#if>-->
<#--                </div>-->
<#--            </div>-->
<#--            <div class="form-group row">-->
<#--                <div class="col-sm-6">-->
<#--                    <div class="g-recaptcha" data-sitekey="6LdsOasZAAAAAP0ygDD_nMBFVfW3DUbFsfSeNjYp"></div>-->
<#--                    <#if captchaError??>-->
<#--                        <div class="alert alert-danger" role="alert">-->
<#--                            ${captchaError}-->
<#--                        </div>-->
<#--                    </#if>-->
<#--                </div>-->
<#--            </div>-->
<#--        </#if>-->
<#--        <input type="hidden" name="_csrf" value="${_csrf.token}"/>-->

<#--        <button class="btn btn-primary" type="submit"><#if isRegisterForm>Create<#else>Sign In</#if></button>-->
<#--    </form>-->
<#--</#macro>-->

<#--<#macro logout>-->
<#--    <form action="/logout" method="post">-->
<#--        <input type="hidden" name="_csrf" value="${_csrf.token}"/>-->
<#--        <button class="btn btn-outline-danger" type="submit">Sign Out</button>-->
<#--    </form>-->
<#--</#macro>-->